org.restlet.engine.local

## Class ClapClientHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Client>
      - - org.restlet.engine.ClientHelper
        - - org.restlet.engine.local.LocalClientHelper
          - - org.restlet.engine.local.ClapClientHelper

    public class ClapClientHelper
    extends LocalClientHelper

Connector to the resources accessed via class loaders. Note that if you use the class authority for your CLAP URIs, you can provide a custom classloader instead of the one of the connector. For this, your requests need to have a "org.restlet.clap.classLoader" attribute set with the instance of your classloader and use the `LocalReference.CLAP_CLASS` authority.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ClapClientHelper(Client client)` Constructor.

### Method Summary

Methods
`protected void` `handleClassLoader(Request request, Response response, java.lang.ClassLoader classLoader)` Handles a call with a given class loader.
`protected void` `handleLocal(Request request, Response response, java.lang.String decodedPath)` Handles a local call.

### Methods inherited from class org.restlet.engine.local.LocalClientHelper

`getDefaultLanguage, getTimeToLive, handle`

### Methods inherited from class org.restlet.engine.ClientHelper

`getConnectTimeout`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, start, stop, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClapClientHelper

    public ClapClientHelper(Client client)

Constructor.

Parameters:
  `client` - The client to help.

### Method Detail

#### handleClassLoader

    protected void handleClassLoader(Request request,
                         Response response,
                         java.lang.ClassLoader classLoader)

Handles a call with a given class loader.

Parameters:
  `request` - The request to handle.
  `response` - The response to update.

#### handleLocal

    protected void handleLocal(Request request,
                   Response response,
                   java.lang.String decodedPath)

Description copied from class: `LocalClientHelper`
Handles a local call.

Specified by:
  `handleLocal` in class `LocalClientHelper`
Parameters:
  `request` - The request to handle.
  `response` - The response to update.
  `decodedPath` - The decoded local path.